#!/bin/sh

if [ "x$MNTPATH" = "x" ]; then
    echo "Mount path not found setting manually"
    MNTPATH="/mnt/media/autorun"
fi

/bin/sh -c "dos2unix $MNTPATH/auto*"

. /$MNTPATH/autorun.conf
. /$MNTPATH/scripts/system_log

. /$MNTPATH/scripts/firmware_update

# . /$MNTPATH/scripts/system_led


REBOOT="NO"

check_module_firmware

check_system_firmware

if [ "$REBOOT" == "YES" ]; then
    cli reboot
fi
